Bug 217703 - clustered vg creation fails
clustered vg creation fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.0
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Stanko Kupcevic
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-29 09:52 EST by Jim Parsons
Modified: 2009-04-16 18:35 EDT (History)
4 users (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 20:01:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Parsons 2006-11-29 09:52:48 EST
Description of problem:
5 node RHEL5 cluster, with all members joined, and clvmd running on each node,
hooked via fiber to a winsys storage array with 2 tb of storage listed as sdb1.
Note clvmd check below:

[root@maggie ~]# service clvmd status
clvmd (pid 2944) is running...
active volumes: LogVol00 LogVol01

When sdb1 is used in a new VG, the following error message is returned:
An error has occurred while commiting changes:
clvmd (clustered LVM daemon) is not running on maggie.lab.boston.redhat.com.
Start it and try it again.

Version-Release number of selected component (if applicable):
Latest conga


How reproducible:
I tried making the VG on a couple of different nodes in the cluster - all had
clvmd running and were joined nodes, with the same result.
Comment 1 Jim Parsons 2006-11-29 09:55:15 EST
One other thing: it seems to me that 
1) ricci should try and start clvmd for you. If it *is* trying to start it and
failing, then the error message should say as much.

2) I wish there was a way to know if clvmd is running on a system when I go to
that system page in the interface...I know this is not for now, but would be
nice to have down the road.
Comment 2 Jim Parsons 2006-11-29 10:58:19 EST
So...this bug actually has two things that need to be corrected in order to
close it:
1) The error msg above is returned if the locking_type does not equal '2' in the
lvm.conf file....but clvmd WAS running...locking_type was just set to '1'. I
think the error message needs to be modified to explain this better.
2) When installing lvm2-cluster rpms, the locking_type is no longer set to
clustered...the default action is not to touch the value. the lvmconf tool must
be run after installation with the arg --enable-cluster in order to set
locking_type correctly...HOWEVER: The acceptable values for clustered locking
type are now '2' and '3'...in fact, '3' is what maggie was set to after running
lvmconf on it...so ricci needs to be modified such that this code:
 LVM::clustered_available()
{
   return get_locking_type() == "2";
 }
allows for "2" or "3"
Comment 3 Kiersten (Kerri) Anderson 2006-11-29 11:50:58 EST
Devel ACK - Conga needs to be able to work with cluster volumes.
Comment 4 Stanko Kupcevic 2006-11-29 14:21:55 EST
Changing to assigned as one more thing needs to be addressed:
 
if "enable shared storage" checkbox is selected during cluster deployment,
--enable-cluster should be run on every node (so user doesn't have to log into
each machine and run it by hand)
Comment 5 Stanko Kupcevic 2006-12-12 08:27:51 EST
Commited to -HEAD and -RHEL5
Comment 6 RHEL Product and Program Management 2007-02-07 20:01:15 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.